Difference between revisions of "Draft Facebinder"

From FreeCAD Documentation
Jump to: navigation, search
(Marked this version for translation)
Line 1: Line 1:
 
<translate>
 
<translate>
 +
<!--T:1-->
 
{{GuiCommand|Name=Draft_Facebinder|Workbenches=[[Draft Module/it|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft → Facebinder|Shortcut=F F}}
 
{{GuiCommand|Name=Draft_Facebinder|Workbenches=[[Draft Module/it|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft → Facebinder|Shortcut=F F}}
  
==Description==
+
==Description== <!--T:2-->
  
 +
<!--T:3-->
 
The facebinder a very simple object constructed from selected faces of other objects. It is of parametric, you can modify the original object and the facebinder object updates accordingly. It can then be used for example for making an extrusion out of a collection of faces from other objects. A typical use is in architectural design, to build an object that covers several pieces of walls. You can move and rotate the facebinder around after its creation, everything will stay linked to the original faces.
 
The facebinder a very simple object constructed from selected faces of other objects. It is of parametric, you can modify the original object and the facebinder object updates accordingly. It can then be used for example for making an extrusion out of a collection of faces from other objects. A typical use is in architectural design, to build an object that covers several pieces of walls. You can move and rotate the facebinder around after its creation, everything will stay linked to the original faces.
  
Line 10: Line 12:
 
<translate>
 
<translate>
  
==How to use==
+
==How to use== <!--T:4-->
  
 +
<!--T:5-->
 
# Select faces on objects (use CTRL to select several faces)
 
# Select faces on objects (use CTRL to select several faces)
 
# Press the {{KEY| [[Image:Draft_Facebinder.png|16px]] [[Draft_Facebinder|Facebinder]]}},  button, or press {{KEY|F}}, {{KEY|F}} keys
 
# Press the {{KEY| [[Image:Draft_Facebinder.png|16px]] [[Draft_Facebinder|Facebinder]]}},  button, or press {{KEY|F}}, {{KEY|F}} keys
  
==Scripting==
+
==Scripting== <!--T:6-->
  
 +
<!--T:7-->
 
The facebinder tool can be usedin scripts and [[macros]] by using the following function:
 
The facebinder tool can be usedin scripts and [[macros]] by using the following function:
 
</translate>
 
</translate>
Line 23: Line 27:
 
</syntaxhighlight>
 
</syntaxhighlight>
 
<translate>
 
<translate>
 +
<!--T:8-->
 
* Creates a facebinder object from the given selection set, which is a list of selection objects such as returned by the FreeCADGui.Selection.getSelectionEx() method.
 
* Creates a facebinder object from the given selection set, which is a list of selection objects such as returned by the FreeCADGui.Selection.getSelectionEx() method.
 
* Only selected faces are taken into account
 
* Only selected faces are taken into account
 
* Returns the newly created object
 
* Returns the newly created object
  
 +
<!--T:9-->
 
Example:
 
Example:
 
</translate>
 
</translate>
Line 35: Line 41:
 
</syntaxhighlight>
 
</syntaxhighlight>
 
<translate>
 
<translate>
==Limitations==
+
==Limitations== <!--T:10-->
  
 +
<!--T:11-->
 
*  Not available before version 0.14
 
*  Not available before version 0.14
 
</translate>
 
</translate>
 
{{clear}}
 
{{clear}}
 
<languages/>
 
<languages/>

Revision as of 16:17, 13 February 2014

Draft Facebinder.svg Draft_Facebinder

Menu location
Draft → Facebinder
Workbenches
Draft, Arch
Default shortcut
F F
Introduced in version
-
See also
None


Description

The facebinder a very simple object constructed from selected faces of other objects. It is of parametric, you can modify the original object and the facebinder object updates accordingly. It can then be used for example for making an extrusion out of a collection of faces from other objects. A typical use is in architectural design, to build an object that covers several pieces of walls. You can move and rotate the facebinder around after its creation, everything will stay linked to the original faces.

Facebinder it.png

How to use

  1. Select faces on objects (use CTRL to select several faces)
  2. Press the Draft Facebinder.png Facebinder, button, or press F, F keys

Scripting

The facebinder tool can be usedin scripts and macros by using the following function:

 makeFacebinder ( selectionset )
  • Creates a facebinder object from the given selection set, which is a list of selection objects such as returned by the FreeCADGui.Selection.getSelectionEx() method.
  • Only selected faces are taken into account
  • Returns the newly created object

Example:

 import Draft, FreeCADGui
 mySelection = FreeCADGui.Selection.getSelectionEx()
 Draft.makeFacebinder(mySelection)

Limitations

  • Not available before version 0.14
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe